package com.ruoyi.project.activiti.service;

import com.ruoyi.framework.web.page.TableDataInfo;
import com.ruoyi.project.activiti.domain.MyTask;
import com.ruoyi.project.activiti.domain.TreeVo;

import java.util.List;

public interface ProcessInstanceService {
    TableDataInfo list();

    void suspendProcess(String processInstanceId,Integer status);

    void deleteProcess(String processInstanceId);

    void transToOffice(String taskId, String userId);

    void entrust(String taskId, String userId);

    List<TreeVo> listTask(String processInstanceId);

    List<TreeVo> listUser();
}
